## vmtk 1.3+dfsg

=== CMakeLists.txt ===
if( APPLE AND NOT CMAKE_CXX_COMPILER)
  set ( CMAKE_CXX_COMPILER "/usr/bin/g++" CACHE STRING "CXX compiler." FORCE)
endif( APPLE AND NOT CMAKE_CXX_COMPILER)

PROJECT(VMTK)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

foreach(p
    CMP0003
    #CMP0020 # CMake 2.8.11
    #CMP0022 # CMake 2.8.12
    #CMP0025 # CMake 3.0
    #CMP0053 # CMake 3.1
    CMP0054 # CMake 3.1
    )
  if(POLICY ${p})
    cmake_policy(SET ${p} NEW)
  endif()
endforeach()

# vmtk versions number
SET(VMTK_VERSION_MAJOR 1)
SET(VMTK_VERSION_MINOR 3)
SET(VMTK_VERSION_PATCH 0)
SET(VMTK_VERSION 
    "${VMTK_VERSION_MAJOR}.${VMTK_VERSION_MINOR}.${VMTK_VERSION_PATCH}")

# Append the library version information to the library target properties.
OPTION(VMTK_WITH_LIBRARY_VERSION "Build with library version information" OFF)
IF(VMTK_WITH_LIBRARY_VERSION)
  # This setting of SOVERSION assumes that any API change
  # will increment either the minor or major version number of vmtk.
  SET(VMTK_LIBRARY_PROPERTIES
      VERSION "${VMTK_VERSION}"
      SOVERSION "${VMTK_VERSION_MAJOR}.${VMTK_VERSION_MINOR}"
     )
ENDIF(VMTK_WITH_LIBRARY_VERSION)

IF (APPLE)
  OPTION(VMTK_BREW_PYTHON "Link against Homebrew Python" ON)
  SET(PYTHON_SHEBANG ${PYTHON_EXECUTABLE})
  #IF(VMTK_BREW_PYTHON)
  #  EXECUTE_PROCESS(
  #    COMMAND /usr/local/bin/python -c "from distutils import sysconfig; print sysconfig.get_python_inc()"
  #    OUTPUT_VARIABLE PYTHON_INCLUDE_DIR 
  #    OUTPUT_STRIP_TRAILING_WHITESPACE)
  #  SET(PYTHON_LIBRARY ${PYTHON_INCLUDE_DIR}../../lib/libpython2.7.dylib)
  #ENDIF(VMTK_BREW_PYTHON)
ELSEIF (UNIX)
  SET(PYTHON_SHEBANG "/usr/bin/env python")
ENDIF ()

#-----------------------------------------------------------------------------
# ITK Setup
option( USE_SYSTEM_ITK
  "Exclude ITK from SuperBuild and use an existing build instead." OFF )
if( USE_SYSTEM_ITK )
  find_package( ITK REQUIRED )
  include( ${ITK_USE_FILE} )
endif( USE_SYSTEM_ITK )

#-----------------------------------------------------------------------------
# VTK Setup
option( USE_SYSTEM_VTK
  "Exclude VTK from SuperBuild and use an existing build instead." OFF )
if( USE_SYSTEM_VTK )
  find_package( VTK REQUIRED )
  if( ${VTK_VERSION_MAJOR} LESS 6 )
    include( ${VTK_USE_FILE} )
  endif( ${VTK_VERSION_MAJOR} LESS 6 )
endif( USE_SYSTEM_VTK )

#-----------------------------------------------------------------------------
# Superbuild setup
option( VMTK_USE_SUPERBUILD
  "Build VMTK and the projects it depends on via SuperBuild.cmake." ON )

option( VMTK_BUNJEE_BUILD
  "Build VMTK and the projects it depends on ready for being linked from Bunjee." OFF )

if( VMTK_USE_SUPERBUILD )

  if( NOT GIT_EXECUTABLE )
    find_package( Git REQUIRED )
  endif( NOT GIT_EXECUTABLE )
  
  option( GIT_PROTOCOL_HTTPS 
    "Use HTTPS for git access (useful if behind a firewall)" OFF )
  if( GIT_PROTOCOL_HTTPS )
    set( GIT_PROTOCOL "https" CACHE STRING "Https protocol for file transfer" FORCE )
  else( GIT_PROTOCOL_HTTPS )
    set( GIT_PROTOCOL "git" CACHE STRING "Git protocol for file transfer" FORCE )
  endif( GIT_PROTOCOL_HTTPS )
  mark_as_advanced( GIT_PROTOCOL )

  if( VMTK_BUNJEE_BUILD )
    set ( VTK_VMTK_WRAP_PYTHON OFF CACHE BOOL "" FORCE )
    set ( VMTK_CONTRIB_SCRIPTS OFF CACHE BOOL "" FORCE )
    set ( VMTK_ENABLE_DISTRIBUTION OFF CACHE BOOL "" FORCE )
    #set ( VMTK_BUILD_TETGEN OFF CACHE BOOL "" FORCE )
    set ( VMTK_SCRIPTS_ENABLED OFF CACHE BOOL "" FORCE )
    set ( BUILD_EXAMPLES OFF CACHE BOOL "" FORCE )
    set ( BUILD_SHARED_LIBS OFF CACHE BOOL "" FORCE )
    set ( BUILD_TESTING OFF CACHE BOOL "" FORCE )
    set ( VTK_USE_CARBON OFF )
    set ( VTK_USE_COCOA ON )
    set ( VTK_VMTK_USE_COCOA ON )
    set ( VTK_USE_INFOVIS OFF )
    set ( VTK_USE_N_WAY_ARRAYS OFF )
    set ( VTK_USE_PARALLEL OFF )
    set ( VTK_USE_QT OFF )
    set ( VMTK_USE_RENDERING ON )
    set ( VTK_USE_TEXT_ANALYSIS OFF )
    set ( VTK_USE_X OFF )
    set ( VTK_WRAP_PYTHON OFF )
    set ( VTK_WRAP_TCL OFF )
    set ( ITK_USE_FLAT_DIRECTORY_INSTALL ON )
    set ( CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "" FORCE )
    set ( CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE )
    set ( ITK_NO_LIBRARY_VERSION ON )
    set ( VTK_NO_LIBRARY_VERSION ON )
    set ( VMTK_WITH_LIBRARY_VERSION OFF )
    set ( VTK_REQUIRED_OBJCXX_FLAGS "-fobjc-gc" CACHE STRING "" FORCE)
  else (VMTK_BUNJEE_BUILD)
    option ( VTK_VMTK_WRAP_PYTHON "Generate Python wrappings for C++ classes." ON )
    option ( VMTK_CONTRIB_SCRIPTS "Install modules from the vmtkScripts/contrib directory." ON )
    option ( VTK_VMTK_CONTRIB "Build and install classes in the vtkVmtk/Contrib directory." ON )
    option ( VMTK_ENABLE_DISTRIBUTION "Enable distribution targets." OFF )
    option ( VMTK_BUILD_TETGEN "Build TetGen and TetGen wrapper. Check TetGen license before you activate this." ON )
    option ( VMTK_BUILD_STREAMTRACER "Build static temporal stream tracer." ON )
    if (APPLE)
      option ( VTK_VMTK_USE_COCOA "Build with Cocoa support." ON )
      set ( CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "" FORCE )
    endif (APPLE)
    set ( CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE )
    option ( BUILD_SHARED_LIBS "Build shared libraries." ON )
    option ( VMTK_USE_RENDERING "Build VMTK rendering classes." ON )
    #option ( VTK_USE_HYBRID "Build VTK Hybrid classes." ON )
    OPTION(VMTK_SCRIPTS_ENABLED "Build and install vmtkScripts and Pypes" ON)
    OPTION(VMTK_MINIMAL_INSTALL "Do not install individual scripts, only vmtk.py" OFF)
  endif (VMTK_BUNJEE_BUILD)

  include( "${CMAKE_CURRENT_SOURCE_DIR}/SuperBuild.cmake" )
  return()

else( VMTK_USE_SUPERBUILD )

  if ( NOT ITK_FOUND )
    find_package( ITK REQUIRED )
    include( ${ITK_USE_FILE} )
  endif( NOT ITK_FOUND )

  if ( NOT VTK_FOUND )
    find_package( VTK REQUIRED )
    if( ${VTK_VERSION_MAJOR} LESS 6 )
      include( ${VTK_USE_FILE} )
    endif( ${VTK_VERSION_MAJOR} LESS 6 )
  endif( NOT VTK_FOUND )

endif( VMTK_USE_SUPERBUILD )

OPTION(VMTK_SCRIPTS_ENABLED "Build and install vmtkScripts and Pypes" ON)
MARK_AS_ADVANCED(VMTK_SCRIPTS_ENABLED)

IF(VMTK_SCRIPTS_ENABLED)
  SUBDIRS(
    PypeS
    vtkVmtk
    vmtkScripts
    )
ELSE(VMTK_SCRIPTS_ENABLED)
  SUBDIRS(
    vtkVmtk
    )
ENDIF(VMTK_SCRIPTS_ENABLED)

OPTION(VMTK_MINIMAL_INSTALL "Do not install individual scripts, only vmtk.py" OFF)

SET(LIBRARY_OUTPUT_PATH ${VMTK_BINARY_DIR}/bin CACHE PATH
    "Single output directory for building all libraries.")
SET(EXECUTABLE_OUTPUT_PATH ${VMTK_BINARY_DIR}/bin CACHE PATH
    "Single output directory for building all executables.")
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH EXECUTABLE_OUTPUT_PATH)

SET(VMTK_SRCS
   vmtk.py
   )

SET(VMTK_MODULE_SRCS
   __init__.py.in
   )

IF(NOT VMTK_INSTALL_BIN_DIR)
  SET(VMTK_INSTALL_BIN_DIR bin)
ENDIF(NOT VMTK_INSTALL_BIN_DIR)

IF(NOT VMTK_INSTALL_LIB_DIR)
  SET(VMTK_INSTALL_LIB_DIR lib)
ENDIF(NOT VMTK_INSTALL_LIB_DIR)

IF(NOT VMTK_MODULE_INSTALL_LIB_DIR)
  SET(VMTK_MODULE_INSTALL_LIB_DIR lib/python2.7/site-packages/vmtk)
ENDIF(NOT VMTK_MODULE_INSTALL_LIB_DIR)

IF(VMTK_SCRIPTS_ENABLED)

  FOREACH (SCRIPT_FILE ${VMTK_SRCS})
    CONFIGURE_FILE(${VMTK_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
  ENDFOREACH (SCRIPT_FILE)
 
  CONFIGURE_FILE(${VMTK_SOURCE_DIR}/__init__.py.in ${VMTK_BINARY_DIR}/__init__.py COPYONLY)
  
  INSTALL(FILES __init__.py.in
    DESTINATION ${VMTK_MODULE_INSTALL_LIB_DIR}
    COMPONENT RuntimeLibraries
    RENAME __init__.py)
  
  IF (NOT WIN32)
  
    SET (STRIPPED_SCRIPTS_SRCS )
    
    FOREACH (SCRIPT_FILE ${VMTK_SRCS})
      CONFIGURE_FILE(${VMTK_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
      STRING(REGEX REPLACE ".py" "" STRIPPED_SCRIPT_FILE ${SCRIPT_FILE})
      CONFIGURE_FILE(${VMTK_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
      SET (STRIPPED_SCRIPTS_SRCS ${STRIPPED_SCRIPTS_SRCS} ${VMTK_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
    ENDFOREACH (SCRIPT_FILE)
  
    INSTALL(PROGRAMS ${STRIPPED_SCRIPTS_SRCS}
      DESTINATION ${VMTK_INSTALL_BIN_DIR}
      COMPONENT RuntimeExecutables)
  
  ELSE (NOT WIN32)
  
    FOREACH (SCRIPT_FILE ${VMTK_SRCS})
      CONFIGURE_FILE(${VMTK_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
      STRING(REGEX REPLACE ".py" "-exe.py" STRIPPED_SCRIPT_FILE ${SCRIPT_FILE})
      CONFIGURE_FILE(${VMTK_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_BINARY_DIR}/${STRIPPED_SCRIPT_FILE} COPYONLY)
      SET (STRIPPED_SCRIPTS_SRCS ${STRIPPED_SCRIPTS_SRCS} ${VMTK_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
    ENDFOREACH (SCRIPT_FILE)
  
    INSTALL(PROGRAMS ${STRIPPED_SCRIPTS_SRCS}
      DESTINATION ${VMTK_INSTALL_BIN_DIR}
      COMPONENT RuntimeExecutables)
  
  ENDIF (NOT WIN32)
  
  OPTION(VMTK_ENABLE_DISTRIBUTION "Enable distribution targets." OFF)
  IF(VMTK_ENABLE_DISTRIBUTION)
    ADD_SUBDIRECTORY(distribution)
  ENDIF(VMTK_ENABLE_DISTRIBUTION)
  
  # Export Build settings and library dependencies
  #  INCLUDE(CMakeExportBuildSettings)
    
  #  CMAKE_EXPORT_BUILD_SETTINGS(
  #    ${VMTK_BINARY_DIR}/VMTKBuildSettings.cmake
  #  )
    
    EXPORT_LIBRARY_DEPENDENCIES(
      ${VMTK_BINARY_DIR}/VMTKLibraryDepends.cmake
    )
  
    CONFIGURE_FILE(
      ${VMTK_SOURCE_DIR}/CMakeInput/VMTKConfig.cmake.in
      ${VMTK_BINARY_DIR}/VMTKConfig.cmake
    @ONLY IMMEDIATE
    )
    
    CONFIGURE_FILE(
      ${VMTK_SOURCE_DIR}/CMakeInput/VMTKUse.cmake.in
      ${VMTK_BINARY_DIR}/VMTKUse.cmake
    @ONLY IMMEDIATE
    )
 
ENDIF(VMTK_SCRIPTS_ENABLED)

=== PypeS/CMakeLists.txt ===
PROJECT (PYPES)

SET(PYPES_SRCS
  pypebatch.py
  pypepad.py
  pypeserver.py
  pypetest.py
  pypetestrunner.py
  pypewrapper.py
  pyperun.py
  )

SET(PYPES_BASE_SRCS
  pype.py
  pypescript.py
  pypes.py
  )

FOREACH (SCRIPT_FILE ${PYPES_BASE_SRCS})
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/${SCRIPT_FILE} ${PYPES_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
ENDFOREACH (SCRIPT_FILE)

IF(NOT PYPES_INSTALL_BIN_DIR)
  #SET(PYPES_INSTALL_BIN_DIR ${PYPES_INSTALL_ROOT}/bin)
  SET(PYPES_INSTALL_BIN_DIR bin)
ENDIF(NOT PYPES_INSTALL_BIN_DIR)

IF(NOT PYPES_MODULE_INSTALL_LIB_DIR)
  #SET(PYPES_MODULE_INSTALL_LIB_DIR ${PYPES_INSTALL_ROOT}/lib/vmtk/vmtk)
  SET(PYPES_MODULE_INSTALL_LIB_DIR lib/python2.7/site-packages/vmtk)
ENDIF(NOT PYPES_MODULE_INSTALL_LIB_DIR)

FOREACH (SCRIPT_FILE ${PYPES_SRCS})
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/${SCRIPT_FILE} ${PYPES_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
ENDFOREACH (SCRIPT_FILE)

#INSTALL_FILES(${PYPES_MODULE_INSTALL_LIB_DIR} .py ${PYPES_BASE_SRCS} ${PYPES_SRCS})
INSTALL(FILES ${PYPES_BASE_SRCS} ${PYPES_SRCS}
  DESTINATION ${PYPES_MODULE_INSTALL_LIB_DIR}
  COMPONENT RuntimeLibraries)

IF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

SET (STRIPPED_PYPES_SRCS)
FOREACH (SCRIPT_FILE ${PYPES_SRCS})
  STRING(REGEX REPLACE ".py" "" STRIPPED_SCRIPT_FILE ${SCRIPT_FILE})
  # Rename script 'pype' to 'vmtk-pype' to avoid conflict 
  # with /usr/bin/pype in package 'pype' in Debian.
  IF("${STRIPPED_SCRIPT_FILE}" STREQUAL "pype")
    SET(STRIPPED_SCRIPT_FILE "vmtk-pype")
  ENDIF("${STRIPPED_SCRIPT_FILE}" STREQUAL "pype")
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/${SCRIPT_FILE} ${PYPES_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
  SET (STRIPPED_PYPES_SRCS ${STRIPPED_PYPES_SRCS} ${PYPES_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
ENDFOREACH (SCRIPT_FILE)
#INSTALL_PROGRAMS(${PYPES_INSTALL_BIN_DIR} FILES ${STRIPPED_PYPES_SRCS})
INSTALL(PROGRAMS ${STRIPPED_PYPES_SRCS}
  DESTINATION ${PYPES_INSTALL_BIN_DIR}
  COMPONENT RuntimeExecutables)

ENDIF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

=== distribution/CMakeLists.txt ===
INCLUDE(InstallRequiredSystemLibraries)

SET(CPACK_PACKAGE_NAME "vmtk")
SET(CPACK_PACKAGE_VENDOR "vmtk.org")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "vmtk - the Vascular Modeling Toolkit")
SET(CPACK_RESOURCE_FILE_LICENSE "${VMTK_SOURCE_DIR}/Copyright.txt")
SET(CPACK_PACKAGE_VERSION_MAJOR ${VMTK_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VMTK_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VMTK_VERSION_PATCH})

SET(CPACK_INSTALL_CMAKE_PROJECTS "${CPACK_INSTALL_CMAKE_PROJECTS};${VMTK_BINARY_DIR};VMTK;ALL;/")
IF(EXISTS "${VTK_DIR}/CMakeCache.txt")
  SET(CPACK_INSTALL_CMAKE_PROJECTS "${CPACK_INSTALL_CMAKE_PROJECTS};${VTK_DIR};VTK;ALL;/")
ENDIF(EXISTS "${VTK_DIR}/CMakeCache.txt")
IF(EXISTS "${ITK_DIR}/CMakeCache.txt")
  SET(CPACK_INSTALL_CMAKE_PROJECTS "${CPACK_INSTALL_CMAKE_PROJECTS};${ITK_DIR};ITK;ALL;/")
ENDIF(EXISTS "${ITK_DIR}/CMakeCache.txt")

SET(CPACK_COMPONENTS_ALL Development RuntimeLibraries RuntimeExecutables)

SET(CPACK_COMPONENT_RUNTIMEEXECUTABLES_DISPLAY_NAME "Application files")
SET(CPACK_COMPONENT_RUNTIMEEXECUTABLES_DESCRIPTION
  "The vmtk application and required components.")
set(CPACK_COMPONENT_RUNTIMEEXECUTABLES_DEPENDS RuntimeLibraries)

SET(CPACK_COMPONENT_RUNTIMELIBRARIES_DISPLAY_NAME "Runtime libraries")
SET(CPACK_COMPONENT_RUNTIMELIBRARIES_DESCRIPTION
  "Runtime libraries and Python modules.")

SET(CPACK_COMPONENT_DEVELOPMENT_DISPLAY_NAME "Development files")
SET(CPACK_COMPONENT_DEVELOPMENT_DESCRIPTION
  "Static libraries and header files needed to build applications against vmtk.")
SET(CPACK_COMPONENT_DEVELOPMENT_DISABLED ON)

IF(EXISTS "${VTK_DIR}/Wrapping/Python/vtk")
  INSTALL(DIRECTORY
    "${VTK_DIR}/Wrapping/Python/vtk"
    DESTINATION lib/site-packages
    USE_SOURCE_PERMISSIONS
    COMPONENT RuntimeLibraries
    )
ENDIF(EXISTS "${VTK_DIR}/Wrapping/Python/vtk")

IF(APPLE)
  # Use the bundle-generator on osx ...
  SET(CPACK_GENERATOR "Bundle")
  SET(CPACK_BUNDLE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/bundle/vmtk.icns")
  SET(CPACK_BUNDLE_NAME "vmtk")
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/bundle/Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/bundle/Info.plist @ONLY)
  SET(CPACK_BUNDLE_PLIST "${CMAKE_CURRENT_BINARY_DIR}/bundle/Info.plist")
  SET(CPACK_BUNDLE_STARTUP_COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/bundle/vmtk-startup")
  ##SET(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/bundle/CustomVolumeIcon.icns")
  #IF(${CMAKE_OSX_ARCHITECTURES} STREQUAL "i386" OR ${CMAKE_OSX_ARCHITECTURES} STREQUAL "x86_64")
    SET(CPACK_PACKAGE_FILE_NAME "vmtk-${VMTK_VERSION}-darwin-${CMAKE_OSX_ARCHITECTURES}")
  #ELSE(${CMAKE_OSX_ARCHITECTURES} STREQUAL "i386" OR ${CMAKE_OSX_ARCHITECTURES} STREQUAL "x86_64")
  #  SET(CPACK_PACKAGE_FILE_NAME "vmtk-${VMTK_VERSION}-darwin-universal")
  #ENDIF(${CMAKE_OSX_ARCHITECTURES} STREQUAL "i386" OR ${CMAKE_OSX_ARCHITECTURES} STREQUAL "x86_64")
ENDIF(APPLE)

IF(WIN32)
  # Use the nsis-generator on Windows ...
  SET(CPACK_GENERATOR "NSIS")
  SET(CPACK_NSIS_HELP_LINK "http://www.vmtk.org/Main/Installation")
  SET(CPACK_NSIS_URL_INFO_ABOUT "http://www.vmtk.org")
  SET(CPACK_NSIS_MENU_LINKS "http://www.vmtk.org/Main/Documentation" "vmtk documentation")
  SET(CPACK_NSIS_CONTACT "vmtk-users@lists.sourceforge.net")
  #SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  #SET(CPACK_NSIS_MUI_ICON "installer.ico")
  SET(CPACK_NSIS_MODIFY_PATH "OFF")
  SET(CPACK_NSIS_CREATE_ICONS
    "CreateShortCut '\$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\PypePad.lnk' '\$INSTDIR\\\\vmtk-startup.bat' '' '' '' SW_SHOWMINIMIZED")
  SET(CPACK_NSIS_DELETE_ICONS_EXTRA
    "Delete '\$SMPROGRAMS\\\\$MUI_TEMP\\\\PypePad.lnk'")

  INSTALL(FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/nsis/vmtk-startup.bat"
    DESTINATION .
    COMPONENT RuntimeExecutables
    )

  # Find and install Python
  OPTION(VMTK_INSTALL_PYTHON "Include Python in the vmtk installer" OFF)
  IF(VTK_VMTK_WRAP_PYTHON AND VMTK_INSTALL_PYTHON)
    FIND_PROGRAM(VMTK_PYTHON_COMMAND python.exe
      PATHS "C:/Python26"
      DOC "Path to the installed python.exe."
      )
    IF(EXISTS ${PYTHON_DIR})
      SET(VMTK_PYTHON_COMMAND "${PYTHON_DIR}/python.exe")
    ENDIF(EXISTS ${PYTHON_DIR})
  
    IF(NOT VMTK_PYTHON_COMMAND)
      MESSAGE(SEND_ERROR "Could not locate python.exe.")
    ENDIF(NOT VMTK_PYTHON_COMMAND)

    GET_FILENAME_COMPONENT(VMTK_PYTHON_PATH ${VMTK_PYTHON_COMMAND} PATH)
    INSTALL(DIRECTORY
      ${VMTK_PYTHON_PATH}/
      DESTINATION lib/Python
      USE_SOURCE_PERMISSIONS
      COMPONENT RuntimeExecutables
      )
  ENDIF(VTK_VMTK_WRAP_PYTHON AND VMTK_INSTALL_PYTHON)

  IF(MINGW)
    SET(CPACK_PACKAGE_FILE_NAME "vmtk-${VMTK_VERSION}-mingw32")

    # Install mingwm10.dll
    FIND_PROGRAM(VMTK_MINGW_GCC mingw32-gcc.exe
      PATHS ${MINGW_DIR} "C:/mingw/bin"
      DOC "Path to the MinGW GCC command."
      )
  
    GET_FILENAME_COMPONENT(VMTK_MINGW_PATH ${VMTK_MINGW_GCC} PATH)
    INSTALL(FILES 
      ${VMTK_MINGW_PATH}/mingwm10.dll
      DESTINATION bin
      COMPONENT RuntimeExecutables
      )

    INSTALL(FILES
      ${CMAKE_CURRENT_SOURCE_DIR}/nsis/mingw-postinst.bat
      DESTINATION .
      COMPONENT RuntimeExecutables
      )
    SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS
      "${CPACK_NSIS_EXTRA_INSTALL_COMMANDS}
      ExecWait '\\\"$INSTDIR\\\\mingw-postinst.bat\\\"'
      Delete \\\"$INSTDIR\\\\mingw-postinst.bat\\\""
      )
  ENDIF(MINGW)

  IF(MSVC)

    #macro(_FIND_MSVC_REDIST)
      message(STATUS "Looking for MSVC Redistributable Executable for MSVC Version ${MSVC_VERSION}")
      set(SDKVERS "2.0")
      if(${MSVC_VERSION} EQUAL 1400)
        set(SDKVERS "2.0")
        set(VCVERS "8")
      endif()
      if(${MSVC_VERSION} EQUAL 1500)
        set(SDKVERS "3.5")
        set(VCVERS "9")
      endif()
      if(${MSVC_VERSION} EQUAL 1600)
        set(SDKVERS "3.5")
        set(VCVERS "10")
      endif()
      IF(${MSVC_VERSION})
        FIND_PROGRAM(MSVC_REDIST NAMES
    vcredist_${CMAKE_MSVC_ARCH}/vcredist_${CMAKE_MSVC_ARCH}.exe
          PATHS
          "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\VCExpress\\${VCVERS}.0;InstallDir]/../../SDK/v${SDKVERS}/BootStrapper/Packages/"
          "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\VisualStudio\\${VCVERS}.0;InstallDir]/../../SDK/v${SDKVERS}/BootStrapper/Packages/"
          "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\VisualStudio\\${VCVERS}.0;InstallDir]/../../SDK/v${SDKVERS}/BootStrapper/Packages/"
          )
        GET_FILENAME_COMPONENT(vcredist_name "${MSVC_REDIST}" NAME)
        INSTALL(PROGRAMS ${MSVC_REDIST} COMPONENT SupportFiles DESTINATION bin)
        SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "ExecWait
    '\\\"$INSTDIR\\\\bin\\\\${vcredist_name}\\\"'")
        message(STATUS "MSVC_REDIST: ${MSVC_REDIST}")
      ENDIF(${MSVC_VERSION})
    #endmacro()

    #IF(${CMAKE_MSVC_ARCH} STREQUAL "amd64")
    #  SET(VCREDIST_EXECUTABLE "vcredist_x64.exe")
    #ELSE(${CMAKE_MSVC_ARCH} STREQUAL "amd64")
    #  SET(VCREDIST_EXECUTABLE "vcredist_x86.exe")
    #ENDIF(${CMAKE_MSVC_ARCH} STREQUAL "amd64")

    #FIND_PROGRAM(VCREDIST_EXE
    #  ${VCREDIST_EXECUTABLE}
    #  PATHS 
    #  DOC "Path to the Visual Studio C++ redistributable"
    #  )

    #IF(NOT VCREDIST_EXE)
    #  MESSAGE(SEND_ERROR "Could not locate ${VCREDIST_EXECUTABLE}.")
    #ENDIF(NOT VCREDIST_EXE)

    #INSTALL(FILES
    #  ${VCREDIST_EXE}
    #  DESTINATION redist
    #  COMPONENT RuntimeExecutables
    #  )

    #SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS
    #  "${CPACK_NSIS_EXTRA_INSTALL_COMMANDS}
    #  ExecWait '\\\"$INSTDIR\\\\redist\\\\${VCREDIST_EXECUTABLE}\\\"'")
  ENDIF(MSVC)

  INSTALL(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/nsis/postinst.bat
    DESTINATION .
    COMPONENT RuntimeExecutables
    )
  SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS
    "${CPACK_NSIS_EXTRA_INSTALL_COMMANDS}
    ExecWait '\\\"$INSTDIR\\\\postinst.bat\\\"'
    Delete \\\"$INSTDIR\\\\postinst.bat\\\""
    )

  SET(CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS
    "${CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS}
    MessageBox MB_YESNO|MB_ICONQUESTION 'Do you want to completely remove the directory $INSTDIR and all of its contents?' IDNO NoDelete
      RMDir /r \\\"$INSTDIR\\\" ; skipped if no
    NoDelete:"
    )
ENDIF(WIN32)

INCLUDE(CPack)

=== vmtkScripts/CMakeLists.txt ===
PROJECT(VMTK_SCRIPTS)

SET(SCRIPTS_SRCS
  vmtkmeshcompare.py
  vmtkimagecompare.py
  vmtksurfacecompare.py
  vmtkactivetubes.py
  vmtkbifurcationprofiles.py
  vmtkbifurcationreferencesystems.py
  vmtkbifurcationsections.py
  vmtkbifurcationvectors.py
  vmtkboundarylayer.py
  vmtkboundaryreferencesystems.py
  vmtkbranchclipper.py
  vmtkbranchextractor.py
  vmtkbranchgeometry.py
  vmtkbranchmapping.py
  vmtkbranchmetrics.py
  vmtkbranchpatching.py
  vmtkbranchsections.py
  vmtkcenterlineattributes.py
  vmtkcenterlinegeometry.py
  vmtkcenterlineinterpolation.py
  vmtkcenterlinelabeler.py
  vmtkcenterlinemeshsections.py
  vmtkcenterlinemerge.py
  vmtkcenterlinemodeller.py
  vmtkcenterlineoffsetattributes.py
  vmtkcenterlineresampling.py
  vmtkcenterlines.py
  vmtkcenterlinesections.py
  vmtkcenterlinesmoothing.py
  vmtkcenterlineviewer.py
  vmtkdelaunayvoronoi.py
  vmtkdistancetocenterlines.py
  vmtkendpointextractor.py
  vmtkflowextensions.py
  vmtkicpregistration.py
  vmtkimagebinarize.py
  vmtkimagecast.py
  vmtkimagecompose.py
  vmtkimagecurvedmpr.py
  vmtkimagefeaturecorrection.py
  vmtkimagefeatures.py
  vmtkimageinitialization.py
  vmtkimagemipviewer.py
  vmtkimagemorphology.py
  vmtkimagenormalize.py
  vmtkimageobjectenhancement.py
  vmtkimageotsuthresholds.py
  vmtkimagereader.py
  vmtkimagereslice.py
  vmtkimageseeder.py
  vmtkimageshiftscale.py
  vmtkimagesmoothing.py
  vmtkimagevesselenhancement.py
  vmtkimageviewer.py
  vmtkimagevoipainter.py
  vmtkimagevoiselector.py
  vmtkimagewriter.py
  vmtklevelsetsegmentation.py
  vmtklineartoquadratic.py
  vmtklineresampling.py
  vmtklocalgeometry.py
  vmtkmarchingcubes.py
  vmtkmesharrayoperation.py
  vmtkmeshboundaryinspector.py
  vmtkmeshbranchclipper.py
  vmtkmeshclipper.py
  vmtkmeshconnectivity.py
  vmtkmeshcutter.py
  vmtkmeshdatareader.py
  vmtkmeshextractpointdata.py
  vmtkmeshlambda2.py
  vmtkmeshlinearize.py
  vmtkmeshgenerator.py
  vmtkmeshmergetimesteps.py
  vmtkmeshpolyballevaluation.py
  vmtkmeshprojection.py
  vmtkmeshreader.py
  vmtkmeshscaling.py
  vmtkmeshtetrahedralize.py
  vmtkmeshtosurface.py
  vmtkmeshtransform.py
  vmtkmeshtransformtoras.py
  vmtkmeshvectorfromcomponents.py
  vmtkmeshviewer.py
  vmtkmeshvolume.py
  vmtkmeshvorticityhelicity.py
  vmtkmeshwallshearrate.py
  vmtkmeshwriter.py
  vmtknetworkextraction.py
  vmtknetworkeditor.py
  vmtknetworkwriter.py
  vmtkparticletracer.py
  vmtkpathlineanimator.py
  vmtkpointsplitextractor.py
  vmtkpointtransform.py
  vmtkpolyballmodeller.py
  vmtkpotentialfit.py
  vmtkpythonscript.py
  vmtkrenderer.py
  vmtkrendertoimage.py
  vmtkrbfinterpolation.py
  vmtksurfaceappend.py
  vmtksurfacearrayoperation.py
  vmtksurfacearraysmoothing.py
  vmtksurfacebooleanoperation.py
  vmtksurfacecapper.py
  vmtksurfacecelldatatopointdata.py
  vmtksurfacecenterlineprojection.py
  vmtksurfaceclipper.py
  vmtksurfacecliploop.py
  vmtksurfaceconnectivity.py
  vmtksurfacecurvature.py
  vmtksurfacedecimation.py
  vmtksurfacedistance.py
  vmtksurfaceendclipper.py
  vmtksurfacekiteremoval.py
  vmtksurfaceloopextraction.py
  vmtksurfacemassproperties.py
  vmtksurfacemodeller.py
  vmtksurfacenormals.py
  vmtksurfacepointdatatocelldata.py
  vmtksurfacepolyballevaluation.py
  vmtksurfaceprojection.py
  vmtksurfacereader.py
  vmtksurfacereferencesystemtransform.py
  vmtksurfaceregiondrawing.py
  vmtksurfaceremeshing.py
  vmtksurfacescaling.py
  vmtksurfacesmoothing.py
  vmtksurfacesubdivision.py
  vmtksurfacetransform.py
  vmtksurfacetransforminteractive.py
  vmtksurfacetransformtoras.py
  vmtksurfacetriangle.py
  vmtksurfacetomesh.py
  vmtksurfaceviewer.py
  vmtksurfacewriter.py
  vmtksurfmesh.py
  vmtktetgen.py
  vmtktetringenerator.py
  )

SET(MODULE_SRCS
  vmtkscripts.py
  )

OPTION(VMTK_CONTRIB_SCRIPTS "Install modules from the vmtkScripts/contrib directory." OFF)

IF (VMTK_CONTRIB_SCRIPTS)
  SUBDIRS(contrib)
ENDIF (VMTK_CONTRIB_SCRIPTS)

IF(NOT VMTK_SCRIPTS_INSTALL_BIN_DIR)
  #SET(VMTK_SCRIPTS_INSTALL_BIN_DIR ${VMTK_SCRIPTS_INSTALL_ROOT}/bin)
  SET(VMTK_SCRIPTS_INSTALL_BIN_DIR bin)
ENDIF(NOT VMTK_SCRIPTS_INSTALL_BIN_DIR)

IF(NOT VMTK_SCRIPTS_INSTALL_LIB_DIR)
  #SET(VMTK_SCRIPTS_INSTALL_LIB_DIR ${VMTK_SCRIPTS_INSTALL_ROOT}/lib/vmtk/vmtk)
  SET(VMTK_SCRIPTS_INSTALL_LIB_DIR lib/python2.7/site-packages/vmtk)
ENDIF(NOT VMTK_SCRIPTS_INSTALL_LIB_DIR)

FOREACH (SCRIPT_FILE  ${SCRIPTS_SRCS})
  CONFIGURE_FILE(${VMTK_SCRIPTS_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_SCRIPTS_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
ENDFOREACH (SCRIPT_FILE)

#INSTALL_FILES(${VMTK_SCRIPTS_INSTALL_LIB_DIR} .py ${SCRIPTS_SRCS} ${MODULE_SRCS})
INSTALL(FILES ${SCRIPTS_SRCS} ${MODULE_SRCS}
  DESTINATION ${VMTK_SCRIPTS_INSTALL_LIB_DIR}
  COMPONENT RuntimeLibraries)

IF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

SET (STRIPPED_SCRIPTS_SRCS )
FOREACH (SCRIPT_FILE  ${SCRIPTS_SRCS})
  STRING(REGEX REPLACE ".py$" "" STRIPPED_SCRIPT_FILE ${SCRIPT_FILE})
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/pyperun.py ${VMTK_SCRIPTS_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
  SET (STRIPPED_SCRIPTS_SRCS ${STRIPPED_SCRIPTS_SRCS} ${VMTK_SCRIPTS_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
ENDFOREACH (SCRIPT_FILE)

#INSTALL_PROGRAMS(${VMTK_SCRIPTS_INSTALL_BIN_DIR} FILES ${STRIPPED_SCRIPTS_SRCS})
INSTALL(PROGRAMS ${STRIPPED_SCRIPTS_SRCS}
  DESTINATION ${VMTK_SCRIPTS_INSTALL_BIN_DIR}
  COMPONENT RuntimeExecutables)

ENDIF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

=== vtkVmtk/CMakeLists.txt ===
PROJECT(VTK_VMTK)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

foreach(p
    CMP0003
    #CMP0020 # CMake 2.8.11
    #CMP0022 # CMake 2.8.12
    #CMP0025 # CMake 3.0
    #CMP0053 # CMake 3.1
    CMP0054 # CMake 3.1
    )
  if(POLICY ${p})
    cmake_policy(SET ${p} NEW)
  endif()
endforeach()

include(${VTK_VMTK_SOURCE_DIR}/vmtkFunctions.cmake)

set(dirs
  Utilities
  Common
  ComputationalGeometry
  DifferentialGeometry
  IO
  Misc
  Segmentation
  )

IF (VMTK_USE_RENDERING)
  list(APPEND dirs Rendering)
ENDIF (VMTK_USE_RENDERING)

OPTION(VTK_VMTK_CONTRIB "Build and install classes in the vtkVmtk/Contrib directory." OFF)

IF (VTK_VMTK_CONTRIB)
  list(APPEND dirs Contrib)
ENDIF (VTK_VMTK_CONTRIB)

INCLUDE (${VTK_VMTK_SOURCE_DIR}/CMakeOptions.cmake)

CONFIGURE_FILE(
  ${VTK_VMTK_SOURCE_DIR}/vtkvmtkConfigure.h.in
  ${VTK_VMTK_BINARY_DIR}/vtkvmtkConfigure.h
  )                                                                                                  

if(APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "-Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib")
  set(CMAKE_EXE_LINKER_FLAGS "-Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib")
endif(APPLE)

OPTION(VTK_VMTK_BUILD_TETGEN "Build TetGen and TetGen wrapper. Check TetGen license before you activate this." ON)

OPTION(VTK_VMTK_BUILD_STREAMTRACER "Build static temporal stream tracer." ON)

IF (VTK_USE_COCOA)
  OPTION(VTK_VMTK_USE_COCOA "Build the Cocoa vmtk classes." ON)
ENDIF (VTK_USE_COCOA)

IF(NOT VTK_VMTK_INSTALL_BIN_DIR)
  SET(VTK_VMTK_INSTALL_BIN_DIR bin)
ENDIF(NOT VTK_VMTK_INSTALL_BIN_DIR)

IF(NOT VTK_VMTK_INSTALL_INCLUDE_DIR)
  SET(VTK_VMTK_INSTALL_INCLUDE_DIR include/vmtk)
ENDIF(NOT VTK_VMTK_INSTALL_INCLUDE_DIR)

IF(NOT VTK_VMTK_INSTALL_LIB_DIR)
  SET(VTK_VMTK_INSTALL_LIB_DIR lib)
ENDIF(NOT VTK_VMTK_INSTALL_LIB_DIR)

IF(NOT VTK_VMTK_MODULE_INSTALL_LIB_DIR)
  SET(VTK_VMTK_MODULE_INSTALL_LIB_DIR lib/python2.7/site-packages/vmtk)
ENDIF(NOT VTK_VMTK_MODULE_INSTALL_LIB_DIR)

INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR})
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/Common)
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/ComputationalGeometry)
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/DifferentialGeometry)
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/IO)
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/Misc)
IF (VMTK_USE_RENDERING)
  INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/Rendering)
ENDIF (VMTK_USE_RENDERING)
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/Segmentation)
IF (VTK_VMTK_CONTRIB)
  INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/Contrib)
ENDIF (VTK_VMTK_CONTRIB)
INCLUDE_DIRECTORIES (${VTK_VMTK_SOURCE_DIR}/Utilities/vtkvmtkITK)
INCLUDE_DIRECTORIES (${VTK_VMTK_BINARY_DIR})

SET(VTK_DOXYGEN_HOME ${VTK_VMTK_SOURCE_DIR}/Utilities/Doxygen)

FILE(GLOB files "${VTK_VMTK_BINARY_DIR}/vtkvmtkConfigure*.h")
INSTALL(FILES ${files}
  DESTINATION ${VTK_VMTK_INSTALL_INCLUDE_DIR}
  COMPONENT Development)

IF (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  INCLUDE_DIRECTORIES (${VTK_PYTHON_INCLUDE_DIR})
  CONFIGURE_FILE(${VTK_VMTK_SOURCE_DIR}/vtkvmtk.py ${VTK_VMTK_BINARY_DIR}/vtkvmtk.py COPYONLY)
  INSTALL(FILES ${VTK_VMTK_BINARY_DIR}/vtkvmtk.py
    DESTINATION ${VTK_VMTK_MODULE_INSTALL_LIB_DIR}
    COMPONENT RuntimeLibraries)
ENDIF (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)

SET(TETGEN_SOURCE_DIR "${VTK_VMTK_SOURCE_DIR}/Utilities/tetgen1.4.3")

foreach(dir ${dirs})
  add_subdirectory(${dir})
endforeach()

=== vmtkScripts/contrib/CMakeLists.txt ===
PROJECT(VMTK_CONTRIB_SCRIPTS)

SET(CONTRIB_SCRIPTS_SRCS
    vmtkboundarylayer2.py
    vmtkdijkstradistancetopoints.py
    vmtkdistancetospheres.py
    vmtkgeodesicsurfaceresolution.py
    vmtkmeshaddexternallayer.py
    vmtkmeshclipcenterlines.py
    vmtkmeshtetrahedralize2.py
    vmtkmeshviewer2.py
    vmtkmeshwriter2.py
    vmtksurfaceresolution.py
    vmtksurfacewriter2.py
    vmtksurfaceextractannularwalls.py
    vmtksurfaceextractinnercylinder.py
    vmtkthreshold.py
    vmtkmeshmerge.py
    vmtkentityrenumber.py
  )
  
SET(CONTRIB_MODULE_SRCS
  vmtkcontribscripts.py
  )

IF(NOT VMTK_CONTRIB_SCRIPTS_INSTALL_BIN_DIR)
  #SET(VMTK_CONTRIB_SCRIPTS_INSTALL_BIN_DIR ${VMTK_CONTRIB_SCRIPTS_INSTALL_ROOT}/bin)
  SET(VMTK_CONTRIB_SCRIPTS_INSTALL_BIN_DIR bin)
ENDIF(NOT VMTK_CONTRIB_SCRIPTS_INSTALL_BIN_DIR)

IF(NOT VMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR)
  #SET(VMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR ${VMTK_CONTRIB_SCRIPTS_INSTALL_ROOT}/lib/vmtk/vmtk)
  SET(VMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR lib/python2.7/site-packages/vmtk)
ENDIF(NOT VMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR)

FOREACH (SCRIPT_FILE  ${CONTRIB_SCRIPTS_SRCS})
  CONFIGURE_FILE(${VMTK_CONTRIB_SCRIPTS_SOURCE_DIR}/${SCRIPT_FILE} ${VMTK_CONTRIB_SCRIPTS_BINARY_DIR}/${SCRIPT_FILE} COPYONLY)
ENDFOREACH (SCRIPT_FILE)

#INSTALL_FILES(${VMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR} .py ${CONTRIB_SCRIPTS_SRCS})
INSTALL(FILES ${CONTRIB_SCRIPTS_SRCS} ${CONTRIB_MODULE_SRCS}
  DESTINATION ${VMTK_CONTRIB_SCRIPTS_INSTALL_LIB_DIR}
  COMPONENT RuntimeLibraries)

IF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

SET (STRIPPED_CONTRIB_SCRIPTS_SRCS )
FOREACH (SCRIPT_FILE  ${CONTRIB_SCRIPTS_SRCS})
  STRING(REGEX REPLACE ".py$" "" STRIPPED_SCRIPT_FILE ${SCRIPT_FILE})
  CONFIGURE_FILE(${PYPES_SOURCE_DIR}/pyperun.py ${VMTK_CONTRIB_SCRIPTS_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
  SET (CONTRIB_STRIPPED_SCRIPTS_SRCS ${CONTRIB_STRIPPED_SCRIPTS_SRCS} ${VMTK_CONTRIB_SCRIPTS_BINARY_DIR}/${STRIPPED_SCRIPT_FILE})
ENDFOREACH (SCRIPT_FILE)

#INSTALL_PROGRAMS(${VMTK_CONTRIB_SCRIPTS_INSTALL_BIN_DIR} FILES ${CONTRIB_STRIPPED_SCRIPTS_SRCS})
INSTALL(PROGRAMS ${CONTRIB_STRIPPED_SCRIPTS_SRCS}
  DESTINATION ${VMTK_CONTRIB_SCRIPTS_INSTALL_BIN_DIR}
  COMPONENT RuntimeExecutables)

ENDIF (NOT WIN32 AND NOT VMTK_MINIMAL_INSTALL)

=== vtkVmtk/Common/CMakeLists.txt ===
set(VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES )

if( ${VTK_VERSION_MAJOR} GREATER 5 )
  set ( VTK_VMTK_COMMON_COMPONENTS
    vtkCommonCore
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_COMMON_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_COMMON_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
else( ${VTK_VERSION_MAJOR} GREATER 5 )
  list( APPEND VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES vtkCommon)
endif( ${VTK_VERSION_MAJOR} GREATER 5 )

SET (VTK_VMTK_COMMON_SRCS
  vtkvmtkMath.cxx
  )

vmtk_build_library(
  NAME Common
  SRCS ${VTK_VMTK_COMMON_SRCS}
  TARGET_LINK_LIBRARIES ${VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES}
  )

=== vtkVmtk/ComputationalGeometry/CMakeLists.txt ===
set(VTK_VMTK_COMPUTATIONALGEOMETRY_TARGET_LINK_LIBRARIES vtkvmtkCommon)

if( ${VTK_VERSION_MAJOR} GREATER 5 )
  set( VTK_VMTK_COMPUTATIONALGEOMETRY_COMPONENTS
    vtkFiltersGeneral
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_COMPUTATIONALGEOMETRY_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_COMPUTATIONALGEOMETRY_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_COMPUTATIONALGEOMETRY_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
else( ${VTK_VERSION_MAJOR} GREATER 5 )
  list( APPEND VTK_VMTK_COMPUTATIONALGEOMETRY_TARGET_LINK_LIBRARIES
    vtkCommon
    vtkFiltering
    vtkGraphics
    vtkHybrid
    )
endif( ${VTK_VERSION_MAJOR} GREATER 5 )

SET (VTK_VMTK_COMPUTATIONALGEOMETRY_SRCS
  vtkvmtkAppendFilter.cxx
  vtkvmtkCapPolyData.cxx
  vtkvmtkCenterlineAttributesFilter.cxx
  vtkvmtkCenterlineBifurcationVectors.cxx
  vtkvmtkCenterlineBifurcationReferenceSystems.cxx
  vtkvmtkCenterlineBranchExtractor.cxx
  vtkvmtkCenterlineBranchGeometry.cxx
  vtkvmtkCenterlineEndpointExtractor.cxx
  vtkvmtkCenterlineGeometry.cxx
  vtkvmtkCenterlineReferenceSystemAttributesOffset.cxx
  vtkvmtkCenterlineSmoothing.cxx
  vtkvmtkCenterlineSphereDistance.cxx
  vtkvmtkCenterlineSplitExtractor.cxx
  vtkvmtkCenterlineSplittingAndGroupingFilter.cxx
  vtkvmtkCenterlineUtilities.cxx
  vtkvmtkBoundaryReferenceSystems.cxx
  vtkvmtkInternalTetrahedraExtractor.cxx
  vtkvmtkMergeCenterlines.cxx
  vtkvmtkMinHeap.cxx
  vtkvmtkNonManifoldFastMarching.cxx
  vtkvmtkNonManifoldSteepestDescent.cxx
  vtkvmtkPolyBall.cxx
  vtkvmtkPolyBallLine.cxx
  vtkvmtkPolyBallModeller.cxx
  vtkvmtkPolyDataBifurcationSections.cxx
  vtkvmtkPolyDataBifurcationProfiles.cxx
  vtkvmtkPolyDataBoundaryExtractor.cxx
  vtkvmtkPolyDataBranchSections.cxx
  vtkvmtkPolyDataBranchUtilities.cxx
  vtkvmtkPolyDataCenterlines.cxx
  vtkvmtkPolyDataCenterlineGroupsClipper.cxx
  vtkvmtkPolyDataCenterlineAbscissaMetricFilter.cxx
  vtkvmtkPolyDataCenterlineAngularMetricFilter.cxx
  vtkvmtkPolyDataCenterlineMetricFilter.cxx
  vtkvmtkPolyDataCenterlineProjection.cxx
  vtkvmtkPolyDataCenterlineSections.cxx
  vtkvmtkPolyDataFlowExtensionsFilter.cxx
  vtkvmtkPolyDataDistanceToCenterlines.cxx
  vtkvmtkPolyDataLineEmbedder.cxx
  vtkvmtkPolyDataLocalGeometry.cxx
  vtkvmtkPolyDataPatchingFilter.cxx
  vtkvmtkPolyDataReferenceSystemBoundaryMetricFilter.cxx
  vtkvmtkPolyDataScissors.cxx
  vtkvmtkPolyDataStretchMappingFilter.cxx
  vtkvmtkReferenceSystemUtilities.cxx
  vtkvmtkSimplifyVoronoiDiagram.cxx
  vtkvmtkSteepestDescentLineTracer.cxx
  vtkvmtkSteepestDescentShooter.cxx
  vtkvmtkUnstructuredGridCenterlineGroupsClipper.cxx
  vtkvmtkUnstructuredGridCenterlineSections.cxx
  vtkvmtkVoronoiDiagram3D.cxx
  )

SET_SOURCE_FILES_PROPERTIES (
  vtkvmtkCenterlineSplittingAndGroupingFilter.cxx
  vtkvmtkPolyDataCenterlineMetricFilter.cxx
  ABSTRACT
)

vmtk_build_library(
  NAME ComputationalGeometry
  SRCS ${VTK_VMTK_COMPUTATIONALGEOMETRY_SRCS}
  TARGET_LINK_LIBRARIES ${VTK_VMTK_COMPUTATIONALGEOMETRY_TARGET_LINK_LIBRARIES}
  )

=== vtkVmtk/DifferentialGeometry/CMakeLists.txt ===
set(VTK_VMTK_DIFFERENTIALGEOMETRY_TARGET_LINK_LIBRARIES vtkvmtkComputationalGeometry nl)

if( ${VTK_VERSION_MAJOR} GREATER 5 )
  set( VTK_VMTK_DIFFERENTIALGEOMETRY_COMPONENTS
    vtkCommonCore
    vtkFiltersGeneral
    vtkFiltersVerdict
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_DIFFERENTIALGEOMETRY_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_DIFFERENTIALGEOMETRY_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_DIFFERENTIALGEOMETRY_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
else( ${VTK_VERSION_MAJOR} GREATER 5 )
  list( APPEND VTK_VMTK_DIFFERENTIALGEOMETRY_TARGET_LINK_LIBRARIES
    vtkCommon
    vtkFiltering
    vtkGraphics
    )
endif( ${VTK_VERSION_MAJOR} GREATER 5 )

SET (VTK_VMTK_DIFFERENTIALGEOMETRY_SRCS
  vtkvmtkBoundaryConditions.cxx
  vtkvmtkDataSetItem.cxx
  vtkvmtkDataSetItems.cxx
  vtkvmtkDirichletBoundaryConditions.cxx
  vtkvmtkDoubleVector.cxx
  vtkvmtkEllipticProblem.cxx
  vtkvmtkEmptyNeighborhood.cxx
  vtkvmtkEmptyStencil.cxx
  vtkvmtkFEAssembler.cxx
  vtkvmtkFEShapeFunctions.cxx
  vtkvmtkGaussQuadrature.cxx
  vtkvmtkItem.cxx
  vtkvmtkItems.cxx
  vtkvmtkLinearSystem.cxx
  vtkvmtkLinearSystemSolver.cxx
  vtkvmtkNeighborhood.cxx
  vtkvmtkNeighborhoods.cxx
  vtkvmtkOpenNLLinearSystemSolver.cxx
  vtkvmtkPolyDataAreaWeightedUmbrellaStencil.cxx
  vtkvmtkPolyDataClampedSmoothingFilter.cxx
  vtkvmtkPolyDataCylinderHarmonicMappingFilter.cxx
  vtkvmtkPolyDataDiscreteElasticaFilter.cxx
  vtkvmtkPolyDataFEGradientAssembler.cxx
  vtkvmtkPolyDataFELaplaceAssembler.cxx
  vtkvmtkPolyDataFELaplaceBeltramiStencil.cxx
  vtkvmtkPolyDataFVFELaplaceBeltramiStencil.cxx
  vtkvmtkPolyDataGradientFilter.cxx
  vtkvmtkPolyDataGradientStencil.cxx
  vtkvmtkPolyDataHarmonicMappingFilter.cxx
  vtkvmtkPolyDataLaplaceBeltramiStencil.cxx
  vtkvmtkPolyDataManifoldExtendedNeighborhood.cxx
  vtkvmtkPolyDataManifoldNeighborhood.cxx
  vtkvmtkPolyDataManifoldStencil.cxx
  vtkvmtkPolyDataMeanCurvature.cxx
  vtkvmtkPolyDataMultipleCylinderHarmonicMappingFilter.cxx
  vtkvmtkPolyDataNeighborhood.cxx
  vtkvmtkPolyDataRigidSurfaceModelling.cxx
  vtkvmtkPolyDataStencilFlowFilter.cxx
  vtkvmtkPolyDataSurfaceRemeshing.cxx
  vtkvmtkPolyDataUmbrellaStencil.cxx
  vtkvmtkSparseMatrix.cxx
  vtkvmtkSparseMatrixRow.cxx
  vtkvmtkStencil.cxx
  vtkvmtkStencils.cxx
  vtkvmtkUnstructuredGridFEGradientAssembler.cxx
  vtkvmtkUnstructuredGridFELaplaceAssembler.cxx
  vtkvmtkUnstructuredGridFEVorticityAssembler.cxx
  vtkvmtkUnstructuredGridGradientFilter.cxx
  vtkvmtkUnstructuredGridVorticityFilter.cxx
  vtkvmtkUnstructuredGridHarmonicMappingFilter.cxx
  vtkvmtkUnstructuredGridNeighborhood.cxx
  )

SET_SOURCE_FILES_PROPERTIES (
  vtkvmtkBoundaryConditions.cxx
  vtkvmtkDataSetItem.cxx
  vtkvmtkDataSetItems.cxx
  vtkvmtkFEAssembler.cxx
  vtkvmtkItem.cxx
  vtkvmtkItems.cxx
  vtkvmtkNeighborhood.cxx
  vtkvmtkPolyDataLaplaceBeltramiStencil.cxx
  vtkvmtkPolyDataManifoldStencil.cxx
  vtkvmtkStencil.cxx
  ABSTRACT
)

INCLUDE_DIRECTORIES(${VTK_VMTK_SOURCE_DIR}/Utilities/OpenNL)

vmtk_build_library(
  NAME DifferentialGeometry
  SRCS ${VTK_VMTK_DIFFERENTIALGEOMETRY_SRCS}
  TARGET_LINK_LIBRARIES ${VTK_VMTK_DIFFERENTIALGEOMETRY_TARGET_LINK_LIBRARIES}
  )

=== vtkVmtk/Misc/CMakeLists.txt ===
set(VTK_VMTK_MISC_TARGET_LINK_LIBRARIES vtkvmtkComputationalGeometry vtkvmtkDifferentialGeometry)

if( ${VTK_VERSION_MAJOR} GREATER 5 )
  set( VTK_VMTK_MISC_COMPONENTS
    vtkFiltersFlowPaths
    vtkFiltersGeometry
    vtkFiltersModeling
    vtkImagingCore
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_MISC_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_MISC_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_MISC_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
else( ${VTK_VERSION_MAJOR} GREATER 5 )
  list( APPEND VTK_VMTK_MISC_TARGET_LINK_LIBRARIES
    vtkCommon
    vtkFiltering
    vtkGraphics
    vtkHybrid
    )
endif( ${VTK_VERSION_MAJOR} GREATER 5 )

SET (VTK_VMTK_MISC_SRCS
  vtkvmtkAnnularCapPolyData.cxx
  vtkvmtkBoundaryLayerGenerator.cxx
  vtkvmtkCurvedMPRImageFilter.cxx
  vtkvmtkImageBoxPainter.cxx
  vtkvmtkIterativeClosestPointTransform.cxx
  vtkvmtkLevelSetSigmoidFilter.cxx
  vtkvmtkLinearizeMeshFilter.cxx
  vtkvmtkLinearToQuadraticMeshFilter.cxx
  vtkvmtkLinearToQuadraticSurfaceMeshFilter.cxx
  vtkvmtkMeshLambda2.cxx
  vtkvmtkMeshProjection.cxx
  vtkvmtkMeshVelocityStatistics.cxx
  vtkvmtkMeshVorticity.cxx
  vtkvmtkMeshWallShearRate.cxx
  vtkvmtkPolyDataNetworkExtraction.cxx
  vtkvmtkPolyDataNormalPlaneEstimator.cxx
  vtkvmtkPolyDataKiteRemovalFilter.cxx
  vtkvmtkPolyDataSizingFunction.cxx
  vtkvmtkPolyDataToUnstructuredGridFilter.cxx
  vtkvmtkRBFInterpolation.cxx
  vtkvmtkSimpleCapPolyData.cxx
  vtkvmtkSmoothCapPolyData.cxx
  vtkvmtkStaticTemporalInterpolatedVelocityField.cxx
  vtkvmtkStaticTemporalStreamTracer.cxx
  vtkvmtkStreamlineClusteringFilter.cxx
  vtkvmtkStreamlineOsculatingCentersFilter.cxx
  vtkvmtkStreamlineToParticlesFilter.cxx
  vtkvmtkSurfaceDistance.cxx
  vtkvmtkSurfaceProjection.cxx
  vtkvmtkTopologicalSeamFilter.cxx
  vtkvmtkUnstructuredGridTetraFilter.cxx
  )

IF (VTK_VMTK_BUILD_TETGEN)
  SET (VTK_VMTK_MISC_SRCS ${VTK_VMTK_MISC_SRCS} vtkvmtkTetGenWrapper.cxx)

  ADD_DEFINITIONS (-DTETLIBRARY)
  INCLUDE_DIRECTORIES(${TETGEN_SOURCE_DIR})
  LINK_DIRECTORIES(${TETGEN_LIB_DIR})

  SET (VTK_VMTK_MISC_TARGET_LINK_LIBRARIES ${VTK_VMTK_MISC_TARGET_LINK_LIBRARIES} tet)
ENDIF (VTK_VMTK_BUILD_TETGEN)

IF (VTK_VMTK_BUILD_STREAMTRACER)
  SET (VTK_VMTK_MISC_SRCS ${VTK_VMTK_MISC_SRCS} vtkvmtkStaticTemporalInterpolatedVelocityField.cxx vtkvmtkStaticTemporalStreamTracer.cxx)

ENDIF (VTK_VMTK_BUILD_STREAMTRACER)

vmtk_build_library(
  NAME Misc
  SRCS ${VTK_VMTK_MISC_SRCS}
  TARGET_LINK_LIBRARIES ${VTK_VMTK_MISC_TARGET_LINK_LIBRARIES}
  )

=== vtkVmtk/Rendering/CMakeLists.txt ===
set(VTK_VMTK_RENDERING_TARGET_LINK_LIBRARIES )

if( ${VTK_VERSION_MAJOR} GREATER 6 )
  set( VTK_VMTK_RENDERING_COMPONENTS
    vtkCommonCore
    vtkInteractionWidgets
    vtkRenderingOpenGL2
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_RENDERING_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_RENDERING_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_RENDERING_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
elseif( ${VTK_VERSION_MAJOR} GREATER 5 )
  set( VTK_VMTK_RENDERING_COMPONENTS
    vtkCommonCore
    vtkInteractionWidgets
    vtkRenderingOpenGL
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_RENDERING_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_RENDERING_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_RENDERING_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
else( ${VTK_VERSION_MAJOR} GREATER 6 )
  list( APPEND VTK_VMTK_RENDERING_TARGET_LINK_LIBRARIES
    vtkCommon
    vtkFiltering
    vtkGraphics
    vtkHybrid
    vtkRendering
    vtkWidgets
    )
endif( ${VTK_VERSION_MAJOR} GREATER 6 )

SET (VTK_VMTK_RENDERING_SRCS
  vtkvmtkImagePlaneWidget.cxx
  vtkvmtkInteractorStyleTrackballCamera.cxx
  )

vmtk_build_library(
  NAME Rendering
  SRCS ${VTK_VMTK_RENDERING_SRCS}
  TARGET_LINK_LIBRARIES ${VTK_VMTK_RENDERING_TARGET_LINK_LIBRARIES}
  )

=== vtkVmtk/Segmentation/CMakeLists.txt ===
#set(VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES vtkvmtkDifferentialGeometry vtkvmtkITK ${ITK_LIBRARIES})
set(VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES vtkvmtkDifferentialGeometry ${ITK_LIBRARIES})

if( ${VTK_VERSION_MAJOR} GREATER 5 )
  set( VTK_VMTK_SEGMENTATION_COMPONENTS
    vtkCommonComputationalGeometry
    vtkCommonCore
    vtkFiltersCore
    vtkImagingGeneral
    vtkIOImage
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_SEGMENTATION_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_SEGMENTATION_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
  #if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  #  list(APPEND VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES
  #    vtkvmtkITKPythonD
  #    )
  #endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
else( ${VTK_VERSION_MAJOR} GREATER 5 )
  list( APPEND VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES
    vtkCommon
    vtkFiltering
    vtkGraphics
    vtkImaging
    )
  #if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  #  list(APPEND VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES
  #    vtkvmtkITKPythonD
  #    )
  #endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
endif( ${VTK_VERSION_MAJOR} GREATER 5 )

SET (VTK_VMTK_SEGMENTATION_SRCS
  vtkvmtkActiveTubeFilter.cxx
  vtkvmtkBoundedReciprocalImageFilter.cxx
  vtkvmtkCardinalSpline.cxx
  vtkvmtkCollidingFrontsImageFilter.cxx
#  vtkvmtkConstrainedLaplacianPolyDataFilter.cxx
  vtkvmtkCurvesLevelSetImageFilter.cxx
  vtkvmtkDanielssonDistanceMapImageFilter.cxx
  vtkvmtkFastMarchingDirectionalFreezeImageFilter.cxx
  vtkvmtkFastMarchingUpwindGradientImageFilter.cxx
  vtkvmtkFWHMFeatureImageFilter.cxx
  vtkvmtkGeodesicActiveContourLevelSetImageFilter.cxx
  vtkvmtkGeodesicActiveContourLevelSet2DImageFilter.cxx
  vtkvmtkGradientMagnitudeImageFilter.cxx
  vtkvmtkGradientMagnitudeRecursiveGaussianImageFilter.cxx
  vtkvmtkGradientMagnitudeRecursiveGaussian2DImageFilter.cxx
  vtkvmtkGrayscaleMorphologyImageFilter.cxx
  vtkvmtkLaplacianSegmentationLevelSetImageFilter.cxx
  vtkvmtkNormalizeImageFilter.cxx
  vtkvmtkObjectnessMeasureImageFilter.cxx
  vtkvmtkOtsuMultipleThresholdsImageFilter.cxx
  vtkvmtkPolyDataPotentialFit.cxx
  vtkvmtkRecursiveGaussianImageFilter.cxx
  vtkvmtkRecursiveGaussian2DImageFilter.cxx
  vtkvmtkSatoVesselnessMeasureImageFilter.cxx
  vtkvmtkSigmoidImageFilter.cxx
  vtkvmtkThresholdSegmentationLevelSetImageFilter.cxx
  vtkvmtkUpwindGradientMagnitudeImageFilter.cxx
  vtkvmtkVesselEnhancingDiffusionImageFilter.cxx
  #vtkvmtkVesselEnhancingDiffusion3DImageFilter.cxx
  vtkvmtkVesselnessMeasureImageFilter.cxx
  )

SET (VTK_VMTK_SEGMENTATION_ITK_HEADERS
  vtkvmtkITKFilterUtilities.h
  itkFWHMFeatureImageFilter.h
  itkFWHMFeatureImageFilter.txx
  itkFastMarchingDirectionalFreezeImageFilter.h
  itkFastMarchingDirectionalFreezeImageFilter.txx
  itkFastMarchingUpwindGradientImageFilter.h
  itkFastMarchingUpwindGradientImageFilter.txx
  itkUpwindGradientMagnitudeImageFilter.h
  itkUpwindGradientMagnitudeImageFilter.txx
  itkVesselEnhancingDiffusion3DImageFilter.h
  itkVesselEnhancingDiffusion3DImageFilter.txx
)

#SET (VTK_VMTK_SEGMENTATION_INCLUDE_DIRS
#  ${vtkvmtkITK_SOURCE_DIR}
#  ${vtkvmtkITK_BINARY_DIR}
#  )

vmtk_build_library(
  NAME Segmentation
  SRCS ${VTK_VMTK_SEGMENTATION_SRCS} 
  TARGET_LINK_LIBRARIES ${VTK_VMTK_SEGMENTATION_TARGET_LINK_LIBRARIES}
  INCLUDE_DIRECTORIES ${VTK_VMTK_SEGMENTATION_INCLUDE_DIRS}
  )

=== debian/changelog ===
vmtk (1.3+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * python-vmtk: Add the missing dependency on python-vtk6.
    (Closes: #904763)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Aug 2018 14:07:43 +0300

vmtk (1.3+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.1. (Closes: #859844)

 -- Adrian Bunk <bunk@debian.org>  Tue, 01 Aug 2017 19:06:28 +0300

vmtk (1.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #850026)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 23:36:18 +0200

vmtk (1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop build-depends on openjpeg.  Closes: #826828

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 10:09:20 +0000

vmtk (1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move the packaging to git.
  * Run cme fix dpkg-control.
  * Bump lib package name after soname bump.  Closes: #821411
  * Reinstate some lintian overrides removed in the previous upload.
  * Remove non-distributable Windows DLL.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 May 2016 15:34:10 +0000

vmtk (1.3-2) unstable; urgency=medium

  * Team upload.
  * Fix install of hardcoded stuff (Closes: #821298).
  * Use plain dh calls.
  * Drop cdbs
  * Use install files instead of hacky rules.
  * Enable hardening
  * use wl-asneeded to avoid overlinking.
  * Drop lintian overrides.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Apr 2016 10:28:43 +0200

vmtk (1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #801820)
  * Bump std-version and compat level to 3.9.8 and 9.
  * Build against itk4 and vtk6
  * Fix watch file.
  * Add libfftw3-dev dependency
  * Fix copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Apr 2016 23:09:46 +0200

=== debian/control ===
Source: vmtk
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               dh-python,
               python-dev,
               libvtk6-dev,
               python-vtk6,
               libinsighttoolkit4-dev,
               libjpeg-dev,
               libtiff-dev,
               libfreetype6-dev,
               libxext-dev,
               libpng-dev,
               libexpat1-dev,
               uuid-dev,
               libvtkgdcm2-dev,
               libssl-dev,
               libvtk6-qt-dev,
               libvtk6-java,
               libfftw3-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/vmtk.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/vmtk.git
Homepage: http://www.vmtk.org
X-Python-Version: >= 2.3

Package: libvmtk1.3
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libvmtk-dev
Description: runtime libraries for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains the shared runtime libraries.

Package: python-vmtk
Architecture: any
Section: non-free/python
Depends: libvmtk1.3 (= ${binary:Version}),
         ${python:Depends},
         python-vtk6,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python interface for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package provides the Python interface for vmtk.

Package: libvmtk-dev
Architecture: any
Section: non-free/libdevel
Depends: libvmtk1.3 (= ${binary:Version}),
         ${misc:Depends}
Description: shared links and header files for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains header files and shared library links.

Package: vmtk
Architecture: all
Depends: python,
         python-tk,
         python-vmtk (>= ${source:Version}),
         ${misc:Depends}
Description: the Vascular Modeling Toolkit
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vmtk-$1\.tar\.gz/ \
  https://github.com/vmtk/vmtk/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
